
package com.tmerclub.cloud.common.util;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.lang.reflect.Field;
import java.util.Objects;

/**
 * @author tmerclub
 * @date 2020/9/2
 */
public class BooleanUtil {
    private static final Logger LOGGER = LoggerFactory.getLogger(BooleanUtil.class);

    /**
     * 判断一个数字是否为true（等于1就是true）
     * @param num 输入的数字
     * @return 是否为true
     */
    public static boolean isTrue(Integer num) {
        if (num == null) {
            return false;
        }
        return Objects.equals(num, 1);
    }

    /**
     * 判断对象中属性值是否全为空
     *
     * @param object
     * @return
     */
    public static boolean checkObjAllFieldsIsNull(Object object) {
        if (null == object) {
            return true;
        }

        try {
            for (Field f : object.getClass().getDeclaredFields()) {
                f.setAccessible(true);

                if (f.get(object) != null && StringUtils.isNotBlank(f.get(object).toString())) {
                    return false;
                }

            }
        } catch (Exception e) {
            LOGGER.error("异常：", e);
        }

        return true;
    }

}
